Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

2 - Les distributions et les noyaux

> Forums de discussion > 2 - Les distributions et les noyaux > compilation Noyau RT sous Ubuntu
Dernier post

compilation Noyau RT sous Ubuntu

Mysth-R utilisateur non connecté France
bonjour !

alors voila je voulais compiler un noyau temps reel. Je suis sur Ubuntu Edgy. J'ai suivi le tuto

http://www.linuxmao.org/tikiwiki/tiki-index.php?page=Ubuntu

qui est prevu pour breezy ou dapper. Mais bon ... je me dis que ça ne doit pas etre si different que cela ! mais ça marche pas.

en fais j'ai réussi à faire mon make menuconfig et au moment ou il faut compiler ça plante :

voici le message :

arrowroot@mysth-r:/usr/src/linux# apt-get install kernel-package
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Reading state information... Fait
kernel-package est déjà la plus récente version disponible.
Les paquets suivants ont été automatiquement installés mais ne sont plus nécessaires :
libwxgtk2.6-0 libpostproc0d libdvbpsi4 libwxbase2.6-0 libiso9660-4 libtar
libsdl-image1.2
Utiliser "apt-get autoremove" pour les supprimer
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
arrowroot@mysth-r:/usr/src/linux# make-kpkg clean
exec make -f /usr/share/kernel-package/ruleset/minimal.mk clean
/usr/share/kernel-package/ruleset/misc/version_vars.mk:123: *** Error. The version number 2.6.18.1-rt4RealTime is not all lowercase. Since the version ends up in the package name of the kernel image package, this is a Debian policy violation, and the packaging system shall refuse to package the image. . Arrêt.
arrowroot@mysth-r:/usr/src/linux#


bon je comprend pas très bien ! si quelqu'un d'éclairé pouvait m'aider ...


Mysth-R utilisateur non connecté France
Citation :
*** Error. The version number 2.6.18.1-rt4RealTime is not all lowercase. Since the version ends up in the package name of the kernel image package, this is a Debian policy violation, and the packaging system shall refuse to package the image. . Arrêt.


bon j'ai trouvé mon erreur c'est tout simple ! la voici : RealTime
Il n'aime pas les majuscules dans le nom du noyau
(cf : http://www.linuxmao.org/tikiwiki/tiki-index.php?page=compiler+un+noyau+2.6RT et
General setup --->
Local version - append to kernel release)

voila c'est reparti pour de nouvelles aventure ! il est en train de compiler tout ça j'espèèèèère que ça va marcher !! lol

Mysth-R utilisateur non connecté France
Bon ben fallait pas trop s'emballer tout de meme !

j'ai un peu avancé mais bon... la compilation s'est bien lancée, de temps en temps il m'a mit des ligne pas comme les autres et à la fin :

Building modules, stage 2.
MODPOST 1584 modules
WARNING: Can't handle masks in drivers/ide/pci/atiixp:FFFF05
WARNING: "pm_send_all" arch/i386/kernel/apm.ko undefined!
WARNING: "pm_active" arch/i386/kernel/apm.ko undefined!
make2: *** modpost Erreur 1
make1: *** modules Erreur 2
make1: quittant le répertoire « /usr/src/linux-2.6.19-rt1 »
make: *** debian/stamp-build-kernel Erreur 2
root@mysth-r:/usr/src/linux#

Alors là comprend pas son charabiat !
j'ai du faire une erreur quelque part mais si quelqu'un pouvait me donner une piste ou un truc !

je ne desepere pas !!!
merci d'avance


Mysth-R utilisateur non connecté France
quelqu'un a-t-il déjà réussi à compiler un noyau RT sous EDGY ?
est ce que je suis une quiche ?
est-ce qu'il y a une solution ?
dois-je repasser sous windows XP ? (pô envi)



Citation :
quelqu'un a-t-il déjà réussi à compiler un noyau RT sous EDGY ?
est ce que je suis une quiche ?
est-ce qu'il y a une solution ?
dois-je repasser sous windows XP ? (pô envi)

Tu en es où par rapport aux messages précédents ? (étape qui coince, logs d'erreurs tout ça (!)

T.

Mysth-R utilisateur non connecté France
Citation :
Citation :
quelqu'un a-t-il déjà réussi à compiler un noyau RT sous EDGY ? est ce que je suis une quiche ? est-ce qu'il y a une solution ? dois-je repasser sous windows XP ? (pô envi)

Tu en es où par rapport aux messages précédents ? (étape qui coince, logs d'erreurs tout ça (!)

T.


HIHI ben j'ai pas avancé. En fait j'ai pas réessayé.confused
Mais j'ai réussi à installer ubuntu Dapper Drake 6.06 (j'ai galéré d'ailleur parce qu'il reconnaissait pas mes disk SATA). En fait il faut l'installer a partir d'un alternate cd. Donc vola j'ai installé ça hier soir j'ai pas eu le temps de compiler un Noyau RT. Mais je pense que je vais pas me prendre la tete y a le Ubuntu-musique de ttoine qui est un paquet de progremme spécial pour Dapper qui compile un noyau RT et installe tous les logiciels qui faut en meme temps. wink

Affaire à suivre !

gilles utilisateur non connecté France
Citation :
Citation :
*** Error. The version number 2.6.18.1-rt4RealTime is not all lowercase. Since the version ends up in the package name of the kernel image package, this is a Debian policy violation, and the packaging system shall refuse to package the image. . Arrêt.


bon j'ai trouvé mon erreur c'est tout simple ! la voici : RealTime
Il n'aime pas les majuscules dans le nom du noyau
(cf : http://www.linuxmao.org/tikiwiki/tiki-index.php?page=compiler+un+noyau+2.6RT et
General setup ---
Local version - append to kernel release)

voila c'est reparti pour de nouvelles aventure ! il est en train de compiler tout ça j'espèèèèère que ça va marcher !! lol


Sur Edgy j'ai essayé de m'aventurer avec le noyau 2.6.19 mais j'ai un magnifique plantage du driver NV au moment du lancement de X . Par contre il semble que le realtime soit nativement bien implémenté dans le 2.6.19

Je n'ai pas compris pourquoi X plantait au lancement du driver nvidia...


Citation :
Par contre il semble que le realtime soit nativement bien implémenté dans le 2.6.19

Pour être tout à fait exact, le module realtime-lsm est désormais implanté par le patch d'ingo (en plus de realtime-preempt). Je viens de regarder dans les vanilla-sources 2.6.19, pas de trace de realtime-preempt, ni de raeltime-lsm, par contre on trouve bien une partie "Realtime Capabilities Linux Security Module" à la fin du patch d'IM : http://people.redhat.com/mingo/realtime-preempt/
Y'a donc qques pages à mettre à jour par ici ...

Citation :
Je n'ai pas compris pourquoi X plantait au lancement du driver nvidia...

Nvidia est toujours à la bourre ... tu as essayé avec quelle version du driver ? Avec la toute dernière "béta", tu auras peut-être plus de chance...

Mysth-R utilisateur non connecté France
Derniere nouvelles :

bon comme je l'ai déjà dis, j'ai installé dapper a la place de edgy. Tout fonctionne, la carte son, la carte graphic, j'ai meme du son au démarrage !!! cool
bon j'ai suivi le tuto pour compiler le noyau RT ubuntu. Je n'ai fais que du copier coller (je me suis dis je vais pas tenter avec le dernier noyau 2.6.19, je copie colle et ça fonctionnera !!
eek
quel malheur j'ai toujours des probemes à la compilation du noyau. je me demande déjà d'ou ça viens? sans doute une mauvaise configuration du menuconfig. Mais est ce que je dois en tenir compte ou est ce que c'est pas trop grave et que je peux quand meme installer le tout ??

voici le message à la fin de la compile : (vous etes pas obligé de tout lire !! wink
mais est ce que ça dis quelque chose à quelqu'un ??

else \
echo "Module $module does not exist"; \
echo "Hit return to Continue?"; \
fi; \
done
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:119: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
drivers/isdn/hysdn/boardergo.c:360: atroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:120: attention : «cli» is deprecated (declared at inclu de/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
tention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
drivers/isdn/hysdn/boardergo.c:373: attentroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:128: attention : «restore_flags» is deprecated (dec lared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
ion : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
drivers/isdn/hysdn/boardergo.c:388: attention root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c: Dans la fonction «hysdn_log_open» :
bash: drivers/isdn/hysdn/hysdn_proclog.c:: Aucun fichier ou répertoire de ce type
: «sti» is deprecated (declared at include/linux/interrupt.h:185)
CC root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:273: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
M
drivers/isdn/hysdn/hysdn_boot.o
CC M drivers/isdn/hysdn/hysdn_sched.o
drivers/isdn/hysdn/hysdn_sched.c: Dans la foncroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:274: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
tion «hysdn_tx_cfgline» :
drivers/isdn/hysdn/hysdn_sched.c:158: attention : «save_flags» is deprecated (declared aroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:280: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
t include/linux/interrupt.h:189)
drivers/isdn/hysdn/hysdn_sched.c:159: attention : «cli» is deprecated (declared at include/liroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c: Dans la fonction «hysdn_log_close» :
bash: drivers/isdn/hysdn/hysdn_proclog.c:: Aucun fichier ou répertoire de ce type
nux/interrupt.h:181)
drivers/isdn/hysdn/hysdn_sched.c:161: attention : «stroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:314: attention : «save_flags» is depreca ted (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
i» is deprecated (declared at include/linux/interrupt.h:185)
drivers/isdn/hysdn/hysdn_sched.c:168: attention : «restore_flaroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:315: attention : «cli» is depre cated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
gs» is deprecated (declared at include/linux/interrupt.h:194)
drivers/isdn/hysdn/hysdn_sched.c:171: attention : «cliroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_proclog.c:338: attention : «restore_flags» is dep recated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
» is deprecated (declared at include/linux/interrupt.h:181)
drivers/isdn/hysdn/hysdn_sched.c:181: attention : «sti» is deprecroot@ubuntu:/usr/src/linux# CC M drivers/isdn/hysdn/boardergo.o
bash: CC : commande introuvable
ated (declared at include/linux/interrupt
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_interrupt» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
drivers/isdn/hysdn/hysdn_sched.c:187: attention : «cli» is deprecat
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:48: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
drivers/isdn/hysdn/hysdn_sched.c:190: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
driroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:49: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
vers/isdn/hysdn/hysdn_sched.c:197: attention : «restore_flags» is deprecated (declared at include/linux/interru
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:52: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
drivers/isdn/hysdn/hysdn_sched.c:200: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
driverroot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:64: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
s/isdn/hysdn/hysdn_sched.c:203: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
Croot@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_irq_bh» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
C M drivers/isdn/hysdn/hysdn_net.o
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:86: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:87: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:89: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:95: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:115: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:123: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_stopcard» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:140: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:141: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:150: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_set_errlog_state» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:165: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:166: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:170: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:178: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_writebootimg» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:249: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_writebootseq» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:283: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c: Dans la fonction «ergo_waitpofready» :
bash: drivers/isdn/hysdn/boardergo.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:359: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:360: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:373: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/boardergo.c:388: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# CC M drivers/isdn/hysdn/hysdn_boot.o
bash: CC : commande introuvable
root@ubuntu:/usr/src/linux# CC M drivers/isdn/hysdn/hysdn_sched.o
bash: CC : commande introuvable
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c: Dans la fonction «hysdn_tx_cfgline» :
bash: drivers/isdn/hysdn/hysdn_sched.c:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:158: attention : «save_flags» is deprecated (declared at include/linux/interrupt.h:189)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:159: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:161: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:168: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:171: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:181: attention : «sti» is deprecated (declared at include/linux/interrupt
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:187: attention : «cli» is deprecat
bash: drivers/isdn/hysdn/hysdn_sched.c:187:: Aucun fichier ou répertoire de ce type
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:190: attention : «sti» is deprecated (declared at include/linux/interrupt.h:185)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:197: attention : «restore_flags» is deprecated (declared at include/linux/interru
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:200: attention : «cli» is deprecated (declared at include/linux/interrupt.h:181)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# drivers/isdn/hysdn/hysdn_sched.c:203: attention : «restore_flags» is deprecated (declared at include/linux/interrupt.h:194)
bash: erreur de syntaxe près du jeton `(' inattendu
root@ubuntu:/usr/src/linux# CC M drivers/isdn/hysdn/hysdn_net.o
bash: CC : commande introuvable
root@ubuntu:/usr/src/linux#


Mysth-R utilisateur non connecté France
Bon on efface tout et on recommence ! neutral

au vu des nombreuses réponses que j'ai eu razz, j'aimerais vous poser des questions simple qui ne vous prendrons pas beaucoup de temps, et qui me permettrons peut etre d'avancer : prenez le temps d'y répondre s'il vous plait meme des réponses incompletes mais au moins un tit truc quoi !eek

1) Est ce que quelqu'un à déjà essayé de compiler un noyau RT ?
a- oui
b- non (ben j'espère que quand vous essayerez ça marchera)

2) si oui : lorsque que vous effectuez une compilation est ce que :
a- je n'ai aucun message d'erreur qui s'affiche tout est normal.
b- j'ai des messages d'erreurs, mais je n'en tiens pas compte car ils sont bidon
c- j'ai des messages d'erreur mais je m'y connais, je fais le necessaire et je recompile
d- j'ai des messages d'erreur et tout plante et j'arrive pas à compiler mon noyau ! (genre moi :p )

Bon sinon est ce que ceux qui ont déjà réussi à compiler un noyau RT aurait des recommandations à me donner genre faire attention à tel point ou lancer tel commande pour faciliter le truc ... enfin j'en sais rien quelque chose qui pourrait m'aider ou en tout cas faire avancer le chmilblik !

Merci de votre patience et de votre aide précieuse !

ps: j'accepte les réponses du genre 1-a 2-c biggrin



bluedid29 utilisateur non connecté France
Bonsoir, cool

Citation :
1) Est ce que quelqu'un à déjà essayé de compiler un noyau RT ?
a- oui
b- non (ben j'espère que quand vous essayerez ça marchera)


Réponse a-oui sur Ubuntu 6.06 (mais avec difficultés et c'était pas top) sur 3 ordis
Réponse a-oui sur Mepis 6 (sans trop de soucis) sur une dizaine d'ordis (noyau 2.6.17.4-rt6 et noyau 2.6.18.1-rt4) smile
Réponse c-installation directe d'un noyau 2.6.17 rt via Rpm sur Mandriva 2007 (trop top :-) et cela fonctionne super bien biggrin

Citation :
2) si oui : lorsque que vous effectuez une compilation est ce que :
a- je n'ai aucun message d'erreur qui s'affiche tout est normal.
b- j'ai des messages d'erreurs, mais je n'en tiens pas compte car ils sont bidon
c- j'ai des messages d'erreur mais je m'y connais, je fais le necessaire et je recompile
d- j'ai des messages d'erreur et tout plante et j'arrive pas à compiler mon noyau ! (genre moi :p )


Réponse e- Je choisis les bonnes options lors du makeconfig ! puis je compile (le choix des bonnes options est hyper important (!)
Réponse f- Y'a peut être des messages d'erreur mais j'ai trés souvent éteint l'écran quand cela a compilé (en général pour prendre l'apéro et pour manger :-) et quand je suis revenu 1H00 à 2H00 après, c'était ok mrgreen

Dés que je peux, je fais un essai sur Edgy, je n'ai plus l'Adsl et je doute qu'en bas débit je puisse télécharger 700M° sans pb de coupure wink

Bon courage rolleyes

arrow Bizarre, y'a l'air d'avoir vraiment beaucoup de pb pour compiler un noyau rt sur Edgy confused

Mysth-R utilisateur non connecté France

salut merci d'avoir pris le temps de répondre.

Citation :
arrow Bizarre, y'a l'air d'avoir vraiment beaucoup de pb pour compiler un noyau rt sur Edgy confused


oui, c'est peut etre du a la configue de l'ordinateur. Tu me conseillerais donc d'essayer avec une autre distrib ?
Etant donné que je suis un petit nouveau sur linux (un petit mois) qu'est ce que tu me conseillerais comme distrib d'un point de vue facilité de prise en main, gestion des paquets, support ...
c'est vrai que Ubuntu est super conviviale et très bien documenté mais si c'est trop galère de se compiler un petit noyau RT alors je vais pas m'obstiner, j'ai envi d'avancer.
merci et bonne journée



bluedid29 utilisateur non connecté France
Perso j'utilise en alternance Mepis 6 (basé sur (K)Ubuntu) et Mandriva 2007, comme cela je peux gouter aux 2 "philosophies" deb et rpm wink

J'ai installé sans trop de pb (et sur plusieurs configurations) le noyau Rt (voir test en fin d'article: http://www.linuxmao.org/tikiwiki/tiki-index.php?page=Les+distributions)

Tu peux lire l'article en totalité pour te donner une idée sur les différentes distributions

à+

Did

jjcool utilisateur non connecté France
Citation :
Bon on efface tout et on recommence ! neutral

au vu des nombreuses réponses que j'ai eu razz, j'aimerais vous poser des questions simple qui ne vous prendrons pas beaucoup de temps, et qui me permettrons peut etre d'avancer : prenez le temps d'y répondre s'il vous plait meme des réponses incompletes mais au moins un tit truc quoi !eek

1) Est ce que quelqu'un à déjà essayé de compiler un noyau RT ?
a- oui
b- non (ben j'espère que quand vous essayerez ça marchera)

oui Réussi avec le noyau 2.6.19 + patch 2.6.19-rt15
pour la configuration j'ai triché en copiant la configuration du noyau ubuntu-musique
http://ubuntu.ttoine.net/doku.php que j'avais installé mais qui me pose des problémes avec
les drivers nvidia.
j'ai désactivé le module apm qui refuse la compilation.

2) si oui : lorsque que vous effectuez une compilation est ce que :
a- je n'ai aucun message d'erreur qui s'affiche tout est normal.
b- j'ai des messages d'erreurs, mais je n'en tiens pas compte car ils sont bidon
c- j'ai des messages d'erreur mais je m'y connais, je fais le necessaire et je recompile
d- j'ai des messages d'erreur et tout plante et j'arrive pas à compiler mon noyau ! (genre moi :p )

c voir au dessus (module apm)

Bon sinon est ce que ceux qui ont déjà réussi à compiler un noyau RT aurait des recommandations à me donner genre faire attention à tel point ou lancer tel commande pour faciliter le truc ... enfin j'en sais rien quelque chose qui pourrait m'aider ou en tout cas faire avancer le chmilblik !

Merci de votre patience et de votre aide précieuse !

ps: j'accepte les réponses du genre 1-a 2-c biggrin


jjcool utilisateur non connecté France
Citation :
Sur Edgy j'ai essayé de m'aventurer avec le noyau 2.6.19 mais j'ai un magnifique plantage du driver NV au moment du lancement de X . Par contre il semble que le realtime soit nativement bien implémenté dans le 2.6.19

Je n'ai pas compris pourquoi X plantait au lancement du driver nvidia...


Ca marche avec:
http://doc.gwos.org/index.php/BerylOnEdgy (option 2)

Attention, si tu as plusieurs noyaux, le script suprime les modules installés pour les autres noyaux,
il faut alors le lancer avec l'option --kernel-modules-only

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]


Texas Barbudos

Mégaphone [Afficher / Cacher]

sub26nico, 22:39, lun. 14 Oct 2019: Salut et bienvenue à samaudio :-)
sub26nico, 11:04, dim. 13 Oct 2019: Salut et bienvenue à benoitf :-)
sub26nico, 17:56, ven. 11 Oct 2019: Des greffons proprios portés sous GNU/Linux : [Lien]
sri_raoul, 16:50, ven. 11 Oct 2019: The sonaremin: un projet synthé modulaire porté pour arm [Lien]
sub26nico, 22:37, jeu. 10 Oct 2019: Salut et bienvenue à nickythomas :-)
sub26nico, 10:34, jeu. 10 Oct 2019: Salut et bienvenue à Kiara, shadows, flofloy100 et Do_done :-)
r1, 17:24, mer. 09 Oct 2019: Moi aussi j'ai revu olinuxx avec grand plaisir !
allany, 08:37, mer. 09 Oct 2019: Merci, bluedid29, pour toute l'équipe de l'édito !
sub26nico, 08:46, mar. 08 Oct 2019: Bonjour et bienvenue à Notabene78, MOA, Gaz Korbier, setkaabwoy, gegeours et Siryu :-)
bluedid29, 16:08, lun. 07 Oct 2019: Et j'ai revu avec grand plaisir Olinuxx ! :-)
bluedid29, 14:00, lun. 07 Oct 2019: Hello :-) Génial l'édito ;-)
zebassprophet, 13:21, lun. 07 Oct 2019: hello les libristes